import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.ICustomizeImageMapDataHintBox;

public class CustomizeImageMapHintBox extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			CustomizeImageMapHintBox chart = new CustomizeImageMapHintBox();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doCustomizeImageMapHintBox(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doCustomizeImageMapHintBox(this));
	}

	Component doCustomizeImageMapHintBox(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"CustomizeImageMapHintBox.cht"); // template

		chart.setImageMapDataHintBoxHandle(new customizeImageMap());

		try {
			// Export chart to image and map file
			chart.export(QbChart.PNG, "CustomizeImageMapHintBox", "CustomizeImageMapHintBox", 0, 0,
					true);
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}

		// Show chart in Viewer
		return chart;

	}

	class customizeImageMap implements ICustomizeImageMapDataHintBox {

		public String customizeHintBox(String str) {
			return str.substring(8, 11) + " " + str.substring(str.length() - 3);
		}
	}
}
